Перейти к содержимому
R-Service R-Service
Руководство разработчика RR Tech Service Management

Archive API

Эта документация пока недоступна на вашем языке, поэтому показана английская версия.

List all archive items for an account:

GET /archive
Status: 200 OK
[
{
"id": 6,
"created_at": "2018-07-05T05:01:42-05:00",
"archived_by": {
"id": 6,
"name": "Howard Tanner",
"account": {
"id": "pro-product",
"name": "Widget International"
}
},
"archived": "request",
"request": {
"id": 70394,
"href": "/requests/70394",
"display_name": "70394 Windows password reset required"
}
},
"..."
]

The response contains these fields by default. Filtering and pagination are available to reduce/limit the archive collection.

By default the following fields will appear in collections of archive:

id created_at archived_by archived

Obtain a different set of fields using the ?fields= parameter .

Filtering is available for the following fields :

id created_at

By default a collection of archive is sorted descending by created_at .

The following fields are accepted by the ?sort= parameter :

id created_at

GET /archive/:id
Status: 200 OK
{
"id": 6,
"created_at": "2018-07-05T05:01:42-05:00",
"archived_by": {
"id": 6,
"name": "Howard Tanner",
"account": {
"id": "pro-product",
"name": "Widget International"
}
},
"archived": "request",
"request": {
"id": 70394,
"href": "/requests/70394",
"display_name": "70394 Windows password reset required"
}
}

The response contains these fields .

archived

Readonly string (max 80) — The Archived field contains the record type of the archived record, e.g. request. A field with this name is added that contains the reference to the archived record.

archived_by

Readonly reference to Person — The Archived by field is used to select the person who archived the record.

created_at

Readonly datetime — The date and time at which the archive was created.

id

Readonly integer — The unique ID of the archive.